Subject: Clone of lazy objects in generic persistence does not initialize the cloned object
Description

With the LazyLoadingAspect on the __clone method, the object in thawProperties closure references still the original object after a
clone. As a result, the cloned object is not initialized but marked as dirty and the persistence state is inconsistent.

As a workaround, the actual proxy in the aspect should be passed to the closure to fix the wrong reference in the case of a clone.

Associated revisions
Revision f3ab9990 - 2011-05-18 17:25 - Christopher Hlubek

[BUGFIX] Persistence: Fix lazy loading with clone in generic persistence

Change-Id: I2e2cdb2e9ed309d13db0df84b396f313603deb4a
Resolves: #26879

History
#1 - 2011-05-18 17:25 - Mr. Hudson

Patch set 1 of change I2e2cdb2e9ed309d13db0df84b396f313603deb4a has been pushed to the review server.
It is available at http://review.typo3.org/2193

#2 - 2011-05-23 14:05 - Christopher Hlubek
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f3ab9990bff7b66091ad1a118cf97dcbb454823a.
